- Qt 6.12
- Qt Multimedia
- C++ Classes
- QtMultimedia
- QVideoFrameFormat
- Qt 6.12.0 Reference Documentation

# Obsolete Members for QVideoFrameFormat

The following members of class QVideoFrameFormat are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Types

`(deprecated)` enum | YCbCrColorSpace { YCbCr_Undefined, YCbCr_BT601, YCbCr_BT709, YCbCr_xvYCC601, YCbCr_xvYCC709, …, YCbCr_BT2020 }

## Public Functions

`(deprecated)` void | setYCbCrColorSpace(QVideoFrameFormat::YCbCrColorSpace space)
`(deprecated)` QVideoFrameFormat::YCbCrColorSpace | yCbCrColorSpace() const

## Member Type Documentation

### `[deprecated]` enum QVideoFrameFormat::YCbCrColorSpace

This enum is deprecated. We strongly advise against using it in new code.

Use QVideoFrameFormat::ColorSpace instead.

Enumerates the Y'CbCr color space of video frames.

Constant | Value | Description
--- | --- | ---
`QVideoFrameFormat::YCbCr_Undefined` | `0` | No color space is specified.
`QVideoFrameFormat::YCbCr_BT601` | `1` | A Y'CbCr color space defined by ITU-R recommendation BT.601 with Y value range from 16 to 235, and Cb/Cr range from 16 to 240. Used mostly by older videos that were targeting CRT displays.
`QVideoFrameFormat::YCbCr_BT709` | `2` | A Y'CbCr color space defined by ITU-R BT.709 with the same values range as YCbCr_BT601. The most commonly used color space today.
`QVideoFrameFormat::YCbCr_xvYCC601` | `3` | This value is deprecated. Please check the ColorRange instead. The BT.601 color space with the value range extended to 0 to 255. It is backward compatible with BT.601 and uses values outside BT.601 range to represent a wider range of colors.
`QVideoFrameFormat::YCbCr_xvYCC709` | `4` | This value is deprecated. Please check the ColorRange instead. The BT.709 color space with the value range extended to 0 to 255.
`QVideoFrameFormat::YCbCr_JPEG` | `5` | The full range Y'CbCr color space used in most JPEG files.
`QVideoFrameFormat::YCbCr_BT2020` | `6` | The color space defined by ITU-R BT.2020. Used mainly for HDR videos.

## Member Function Documentation

### `[deprecated]` void QVideoFrameFormat::setYCbCrColorSpace(QVideoFrameFormat::YCbCrColorSpace space)

This function is deprecated. We strongly advise against using it in new code.

Use setColorSpace() instead

Sets the Y'CbCr color space of a video stream. It is only used with raw YUV frame types.

See also yCbCrColorSpace().

### `[deprecated]` QVideoFrameFormat::YCbCrColorSpace QVideoFrameFormat::yCbCrColorSpace() const

This function is deprecated. We strongly advise against using it in new code.

Use colorSpace() instead

Returns the Y'CbCr color space of a video stream.

See also setYCbCrColorSpace().